package services

import (
	"encoding/json"
	"os"
	"testing"
)

func TestLoadAppConfig(t *testing.T) {
	cfg := &AppConfig{
		LocalPort: 8091,
		DbCfg: &DbConfig{
			DbAddr:   "172.16.3.153",
			DbPort:   3306,
			DbSchema: "ticket-cloud",
			UserName: "root",
			Password: "123456",
		},
	}

	if data, err := json.MarshalIndent(cfg, "", "    "); err != nil {
		t.Fatal(err)
	} else {
		if err = os.WriteFile("ng-tail-test.conf", data, 0644); err != nil {
			t.Fatal(err)
		}
	}
}
